Bug 98837 - repquota/warnquota terminate with "Segmentation fault"
repquota/warnquota terminate with "Segmentation fault"
Product: Red Hat Linux
Classification: Retired
Component: quota (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-07-09 09:32 EDT by Marc Schmitt
Modified: 2007-04-18 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-07 10:11:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
'repquota -a' strace (24.93 KB, text/plain)
2003-07-09 09:36 EDT, Marc Schmitt
no flags Details
warnquota strace (26.20 KB, text/plain)
2003-07-09 09:37 EDT, Marc Schmitt
no flags Details

  None (edit)
Description Marc Schmitt 2003-07-09 09:32:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20021120

Description of problem:
We have a partiotion (size ~ 1TB) with user quotas turned on. 'repquota -a' and
warnquota used to work fine. Now, with the amount of data and users growing on
that partition (currently ~450GB for ~100 users), both commands stopped working
and terminated with a "Segmentation fault".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run 'repquota -a' or warnquota

Actual Results:  Segmentation fault

Expected Results:  List quotas and send an email to people who are over quota.

Additional info:

# repquota -a
*** Report for user quotas on device /dev/sdd1
Block grace time: 7days; Inode grace time: 7days
                        Block limits                File limits
User            used    soft    hard  grace    used  soft  hard  grace
Segmentation fault

# /usr/sbin/warnquota
Segmentation fault
Comment 1 Marc Schmitt 2003-07-09 09:36:18 EDT
Created attachment 92828 [details]
'repquota -a' strace
Comment 2 Marc Schmitt 2003-07-09 09:37:03 EDT
Created attachment 92829 [details]
warnquota strace
Comment 3 Marc Schmitt 2003-07-09 09:40:13 EDT
General infos:

# uname -a
Linux foo 2.4.18-27.7.xsmp #1 SMP Fri Mar 14 05:52:30 EST 2003 i686 unknown

# df -h
Filesystem            Size  Used Avail Use% Mounted on
/dev/md0              387M  117M  250M  32% /
/dev/md3              980M   74M  856M   8% /.afs_cache
/dev/md5              7.7G   33M  7.2G   1% /local
none                  1.9G     0  1.8G   0% /dev/shm
/dev/md2              980M   17M  914M   2% /tmp
/dev/md4              4.8G  1.4G  3.2G  29% /usr
/dev/md1              1.9G  125M  1.7G   7% /var
/dev/sdd1            1019G  474G  545G  47% /export/home/h1
/dev/sde1             849G  217G  632G  26% /export/project/p1
/dev/sdg1             902G  162G  740G  18% /export/scratch/s1
/dev/sde2             7.6M  1.2M  6.0M  16% /var/lib/nfs

sdd1 has user quotas turned on
sde1 and sde2 have group quotas turned on ('repquota -ag' works, btw)
Comment 4 Marc Schmitt 2003-07-09 09:46:30 EDT
And of course the mounted file systems:

/dev/md0 on / type ext3 (rw)
none on /proc type proc (rw)
/dev/md3 on /.afs_cache type ext3 (rw)
none on /dev/pts type devpts (rw,gid=5,mode=620)
/dev/md5 on /local type ext3 (rw)
none on /dev/shm type tmpfs (rw)
/dev/md2 on /tmp type ext3 (rw)
/dev/md4 on /usr type ext3 (rw)
/dev/md1 on /var type ext3 (rw)
/dev/sdd1 on /export/home/h1 type ext3 (rw,data=journal,usrquota)
/dev/sde1 on /export/project/p1 type ext3 (rw,data=journal,grpquota)
/dev/sdg1 on /export/scratch/s1 type ext3 (rw,data=writeback,grpquota)
/dev/sde2 on /var/lib/nfs type ext3 (rw,data=journal)

Please let me know if you need more infos, thanks.

Comment 5 Bill Nottingham 2006-08-05 00:14:56 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 John Newbigin 2006-08-06 19:20:39 EDT
This is related to kernel corruption of the quota database.  It is still present
in 2.1AS.  Bugs related to this (113144) have been set to CLOSED CURRENTRELEASE.
Comment 7 Bill Nottingham 2006-08-07 10:11:18 EDT
OK, thanks! Closing, then for Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.